Uploaded image for project: 'Phoenix'
  1. Phoenix
  2. PHOENIX-4261

Remove unused netty-all-4.0 dependency

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.12.0
    • Labels:
      None

      Description

      See HBASE-18891 for context on why we want to remove it.

      Best as I can tell, we have the netty-all-4.0.x dependency listed, but don't use it (nor do we even bundle it in the tarball!).

      We should just remove it to remove all doubt about security concerns.

        Attachments

        1. PHOENIX-4261.002.patch
          3 kB
          Josh Elser
        2. PHOENIX-4261.001.patch
          2 kB
          Josh Elser

          Activity

            People

            • Assignee:
              elserj Josh Elser
              Reporter:
              elserj Josh Elser
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: